Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\API\Repository\Values\User\LookupLimitationResult Class Reference

This class represents a LookupLimitation for module and function in the context of current User. More...

Inheritance diagram for eZ\Publish\API\Repository\Values\User\LookupLimitationResult:

## Public Member Functions
| __construct (bool $hasAccess, array $roleLimitations=[], array $lookupPolicyLimitations=[])
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Protected Attributes
| $hasAccess
| $roleLimitations
| $lookupPolicyLimitations

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

This class represents a LookupLimitation for module and function in the context of current User.

Definition at line 16 of file LookupLimitationResult.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\API\Repository\Values\User\LookupLimitationResult::__construct | ( | bool | $hasAccess,
|  | array | $roleLimitations = `[]`,
|  | array | $lookupPolicyLimitations = `[]`
| ) |  |

Parameters

  bool | $hasAccess |
  \eZ\Publish\API\Repository\Values\User\Limitation[] | $roleLimitations |
  \eZ\Publish\API\Repository\Values\User\LookupPolicyLimitations[] | $lookupPolicyLimitations |

Definition at line 32 of file LookupLimitationResult.php.

References eZ\Publish\API\Repository\Values\User\LookupLimitationResult\$hasAccess, eZ\Publish\API\Repository\Values\User\LookupLimitationResult\$lookupPolicyLimitations, and eZ\Publish\API\Repository\Values\User\LookupLimitationResult\$roleLimitations.

## Member Data Documentation

## ◆ $hasAccess

eZ\Publish\API\Repository\Values\User\LookupLimitationResult::$hasAccess
| protected

Definition at line 19 of file LookupLimitationResult.php.

Referenced by eZ\Publish\API\Repository\Values\User\LookupLimitationResult\__construct().

## ◆ $lookupPolicyLimitations

eZ\Publish\API\Repository\Values\User\LookupLimitationResult::$lookupPolicyLimitations
| protected

Definition at line 25 of file LookupLimitationResult.php.

Referenced by eZ\Publish\API\Repository\Values\User\LookupLimitationResult\__construct().

## ◆ $roleLimitations

eZ\Publish\API\Repository\Values\User\LookupLimitationResult::$roleLimitations
| protected

Definition at line 22 of file LookupLimitationResult.php.

Referenced by eZ\Publish\API\Repository\Values\User\LookupLimitationResult\__construct().

The documentation for this class was generated from the following file:

- LookupLimitationResult.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.